OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_ToleranceMethodDefinition Class Reference

Added for Dimensional Tolerances
.

`#include <StepShape_ToleranceMethodDefinition.hxx>`

Inheritance diagram for StepShape_ToleranceMethodDefinition:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_ToleranceMethodDefinition ()
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ValueQualifier Select Type : 1 -> ToleranceValue from StepShape 2 -> LimitsAndFits from StepShape .
Standard_EXPORT Handle_StepShape_ToleranceValue | ToleranceValue () const
| Returns Value as ToleranceValue .
Standard_EXPORT Handle_StepShape_LimitsAndFits | LimitsAndFits () const
| Returns Value as LimitsAndFits .

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ToleranceMethodDefinition::StepShape_ToleranceMethodDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepShape_ToleranceMethodDefinition::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepShape_LimitsAndFits StepShape_ToleranceMethodDefinition::LimitsAndFits | ( |  | ) | const

void StepShape_ToleranceMethodDefinition::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_ToleranceMethodDefinition::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_ToleranceMethodDefinition::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepShape_ToleranceValue StepShape_ToleranceMethodDefinition::ToleranceValue | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepShape_ToleranceMethodDefinition.hxx